from django.shortcuts import render
from django.views.generic import TemplateView, ListView
from django.conf import settings

# Create your views here.

class IndexView(TemplateView):
    template_name = f"{settings.EXPEPHALON_FRONTEND}/index.html"

class DashboardView(TemplateView):
    template_name = f"{settings.EXPEPHALON_BACKEND}/index.html"

try:
    from dbsettings.models import Setting

    class DBSettingsListView(ListView):
        template_name = f"{settings.EXPEPHALON_BACKEND}/dbsettings.html"
        model = Setting

except ModuleNotFoundError:
    pass
